Error creating first app


#1

When I finish the command:

$ rails new my_first_rails_app

Almost everything downloads fine but at the end I get the message:

Node.js not installed. Please download and install Node.js https://nodejs.org/en/download/

I ignored this but then when I go to

$ rails generate scaffold car make:string model:string year:integer

I get the message:

rbenv: version `ruby-2.6.3’ is not installed

even though I’m running ruby-2.6.5.

Any help will be appreciated. I am extremely new to this.


#2

You do need to install nodejs. Instructions for that were provided in the course.

With regards to ruby version what does ruby -v return in the terminal